Subject: Re: What's cooking in git.git (Jan 2025, #07; Fri, 24)

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jan 2025 09:59:14 -0800

Jeff King <[email-masked]> writes:

> I noticed CI complaining about a missing include file:
>
>   2025-01-28T15:51:45.3979314Z asciidoc: WARNING: difftool.adoc: line 16: include file not found: /home/runner/work/git/git/Documentation/mergetools-diff.txt
>
> The problem is that the line was introduced by another concurrent
> branch, aj/difftool-config-doc-fix. So we can't fix it independently on
> either branch; the line does not exist yet in brian's adoc branch, and
> the file is still ".txt" in Adam's doc-fix branch.
>
> It has to be fixed in an evil merge of the two (or brian's rebased on
> Adam's, which has since graduated to master).

Thanks; I had this one on my radar and I thought there was a
merge-fix I made somewhere, but it is likely to have been lost
during shuffling the order of merges.  Will take a look again.

Thanks.